Subject: Re: CCL:SUMMARY - Reaction Pathway Programs

From: "Lingran Chen, x1305" <[email-masked]>
Date: Thu, 17 Jul 1997 11:07:39 -0700

Douglas A. Smith Ph.D. wrote:
> 
> To give my personal response to Kevin's questions:
> 
> At 10:53 AM 7/17/97 -0400, you wrote:
> >
> >What are peoples opinions on why these programs are not
> >routinely used for synthesis planning today?
> 
> Basic answer is that synthetic organic chemists tend to know the literature
> pretty well for the types of reactions and transformations they routinely
> need.  So, unless you run into trouble and can't do what you want/need,
> there is little incentive to going to a computer, running a program you may
> not be too familiar with or that may be difficult to use, and getting
> alternatives.  Furthermore, the typical attitude (again, speaking as one
> who did synthesis and ran a synthesis group for many years) is "Try it.
> Just because it worked/didn't work in the literature doesn't mean it
> will/won't work on your compound!"  Furthermore, a typical approach is to
> try two or three reactions/reagents at a time, then compare the results for
> ease and yield.

In May 1995 there was a Workshop on Computer Aided Synthesis held 
at Goslar, Germany, organized by the bench organic chemists. 
Both bench organic chemists and computer chemists
attent the meeting, including many of the leaders in the area
of Computer Aided Synthesis Design (CASD) in the world. The main focus
of
the workshop was to review the status of CASD systems and to
find the cause of the unpopularity of those systems in the 
chemistry community and to look for the good ways to promote
the wider acceptance of this kind of software.
Some experts in the field suggested that introducing the seminar
on CASD in the universities could enable the new generation of
the chemists to become familiar with this kind of "new" tools.

On that meeting I made a simply comparison of CASD systems 
with other "chemical" software to reveal one of the main 
reasons why most of the bench chemists are not willing to 
accept CASD programs:

1. Why are chemists want to use computer to search literature?
   Because chemists are unable to get *manually* the newest, most 
   comprehensive literature on a specific topic they are interested 
   in in, but computer can help them to do so.

2. Why are chemists willing to use "quantum chemistry" programs?
   Are they good enough? 

   The answer to the second question is No. 
   There are many "theoretical calculation"
   programs/methods, but none of them are really "theoretically"
   correct! It is not unusual in this area that different approaches
   produce different answers to the same problems. Chemists still
   have to reply heavily on the experimental results to confirm
   the results generated by the computer programs.

   The answer to the first quetion is quite simply: No one, even
   the brightest chemist in the world,  is willing, able,
   to do a *manual* "ab initio calculation" for even a small 
   molecule consisting of a few atoms on the paper! 
   But, computer can do that for you, though the results may
   be unreliable.

3. Now, how about CASD programs? In my opinion, a few CASD systems
   are at least as mature as those of "quantum chemistry" programs.
   Unfortunately, chemists are able to *manually* design the 
   syntheis routes on the paper! It is their traditional, main, job!

> >I have a few questions to start out:
> >
> >Do they give too many hypothetical answers but not practical?
> 
> Probably the opposite it true.  Then the bench chemist must read all 100+
> answers, down select him/herself, and try a few anyway.

  SYNGEN (http://syngen2.chem.brandeis.edu/syngen.html), for example,
  is able to sort the generated routines according to different
  criteria, enabling chemists to check the first a few route candidates
  in the sorted lists.

> >Do they give too many answers (or repetative answers - same substructure)?
> 
> Same answer as above.
> 
> >Is the software too difficult to use without a lot of training?
> 
> It sure used to be.  SYNTREE, from what I remember, had a reasonable GUI
> under Windows.  I don't know about MDL's software. 

MDL's (http://www.mdli.com/) desktop programs have nice GUI.

> Also, many of these
> programs came out of the old VAX era, which is a horror for bench chemists
> used to MacIntosh or now days Windows GUIs.

  I ported SYNGEN (http://syngen2.chem.brandeis.edu/syngen.html) from 
  VAX to PC/Linux, its GUI was written in Tcl/Tk. The program is very
  easy to use indead and the GUI are also nice.

> >Does the software fail to reveal anything new to trained synthetic chemists?
> 
> Isn't this always the case in any expert system?  And these programs are
> truly expert systems, typically rule based (e.g. CAMEO, LAHSA).  It is not
> trivial to develop a non-rule-based system.

  But, SYNGEN and also some other systems are able to generate 
  *automatically* some *new* chemistry!

> >Is it too expensive or run on the wrong platforms?
> 
> See above for my limited knowledge answer.
> 
> >Does it lack integration with reaction data, availability, etc?
> 
> In my experience, all this is available.
> 
> >Is it too time consuming to run for many users?
>
> Yes.

  Not completely correct. SYNGEN is quite fast. 

> >
> >What can be done to make these programs more useful?
> 
> Ah, the good and important question.  I wish I had the answer, I could make
> a few bucks!

  There are still many things one can do. Of cause, different CADSD
  systems have different problems. For example, the integration of the
  SYNGEN system with Prof. Hendrickson's reaction retrieval program
  COGNOS is under way. Dealing with stereochemistry is also 
  need to be done.

  By the way, the CASD systems like SYNGEN may find their applications
  in preparation of Combinatorial chemistry libraries.

> >
> >Kevin P. Cross, Ph.D.
> >Senior Associate Research Scientist
> >Chemical Abstracts Service
> 
> Doug Smith
> --
> Dr. Douglas A. Smith, President and CEO     |  voice: (814) 255-7859
> The DASGroup, Inc.                          |    fax: (814) 255-3517
> 1732 Lyter Drive, 2nd Floor                 |  email: [email-masked]
> Johnstown, PA 15905                         |    WWW: http://www.dasgroup.com

**********************************************************
Lingran Chen, Ph.D.
Senior Scientific Programmer
MDL Information Systems, Inc.
14600 Catalina Street
San Leandro
CA 94577

Phone: (510) 895-1313, Ext. 1305
FAX:   (510) 614-3616

Email: [email-masked]
URL:   http://www.mdli.com
       http://syngen2.chem.brandeis.edu/~chen/lingran.html
**********************************************************